# kubectl and helm
For GitLab CI/DC

```bash
docker build -t helm:ci .
docker push  helm:ci
```
Example 
```yaml
stages:
  - deploy
deploy:
  stage: deploy
  image: helm:ci
  variables:
    K8S_API_URL: none
    K8S_TOKEN: none
    K8S_CI_NAMESPACE: none
  before_script:
    - expect -f ~/yc-script.exp $YC_CLI_TOKEN >& /dev/null
    - yc managed-kubernetes cluster get-credentials cloud-3v --external
  script:
    - helm upgrade --install myservice .helm
        --debug
        --recreate-pods
        --tiller-namespace=$K8S_CI_NAMESPACE
```

